<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/updateMedialanguages.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
function updateMedialanguages($name,&$xml,$requestName,$current_path,$firstNode,$firstNodePath){
	$db_conn = db_connect();
	
	$current_path = $current_path."/*[1]";
	
	
	// first removing the currently published languages
	$sql = 'DELETE FROM medialanguages;';
	$db_conn->Execute($sql);
	
	$languages_array = $xml->match($current_path."/LANGUAGE");
	$priority = 2;
	foreach($languages_array as $language_path){
		$ID = $xml->getData($language_path.'/@ID');
		$published = $xml->getData($language_path.'/PUBLISHED');
		$default = $xml->getData($language_path.'/@defaultLanguage');
		if($default==='true')
			$this_priority = 1;
		else
			$this_priority = $priority;
		$sql = 'INSERT INTO medialanguages(languageID,priority,published) VALUES("'.$ID.'",'.$this_priority.','.$published.');';
		$db_conn->Execute($sql);
		$priority++;
	}
	return generateMsgXML(0,"Published languages have been updated",0,'',$name);
}
?>
